latex-make (2.2.3-2) unstable; urgency=medium

  * provide a writable HOME directory to compile test. This is
    required by lualatex (Closes: #855930)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 27 Feb 2017 10:56:07 +0100

latex-make (2.2.3-1) unstable; urgency=medium

  * New upstream release
    + Add LuaLaTeX support (Closes: #815836)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 08 Jan 2017 23:10:39 +0100

latex-make (2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 09 Feb 2016 18:32:15 +0100

latex-make (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 09 Feb 2016 10:09:56 +0100

latex-make (2.2.0-1) unstable; urgency=medium

  * New upstream release
    + add the 'LaTeX-Make-local-install' target
  * Rewrite debian/copyright in machine readable format
  * Apply "cme fix dpkg" suggestions
  * Refresh patches and build system

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 09 Feb 2016 00:23:04 +0100

latex-make (2.1.19-2) unstable; urgency=medium

  * remove specific patch that move doc in /usr/share/doc/texmf
    instead of /usr/share/texmf/doc. TeX policy changed without
    being reflected in Debian TeX documentation. (Closes: #752095)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 10 Oct 2014 07:53:21 +0200

latex-make (2.1.19-1) unstable; urgency=medium

  * New upstream release (Closes: #504179)
    + Speedup improvment (Closes: #690015)
    + Add support for XeTeX, thanks Tomasz Buchert (Closes: #686951)
    + Fix bugs in latexfilter.py, thanks Jim Paris (Closes: #705429)
    + Add an helper to find TDS (useful for manual installation)
  * Closing a bug that should have been closed way before
    (Closes: #422054)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 09 Oct 2014 22:23:44 +0200

latex-make (2.1.18-5) unstable; urgency=medium

  * Remove versionned dependency on make : even oldstable is ok and
    it blocks make-guile alternative installation (Closes: #751890)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 17 Jun 2014 23:04:18 +0200

latex-make (2.1.18-4) unstable; urgency=medium

  * Fix several lintial notices:
    + duplicate-in-relation-field
    + vcs-field-not-canonical
    + out-of-date-standards-version (no changes needed)
    + copyright-refers-to-symlink-license

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 05 Mar 2014 12:32:41 +0100

latex-make (2.1.18-3) unstable; urgency=medium

  * add texlive-fonts-recommended to B-D-I as suggested by gregor
    (Closes: #738431)
    Do not add it to recommended packages in binary packages: this
    is not the role of this package to provide a correct environment
    for LaTeX work (ie using this package does not change anything
    related to LaTeX fonts)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 05 Mar 2014 11:57:53 +0100

latex-make (2.1.18-2) unstable; urgency=low

  * ensure dh_installtex is called when building the package (Closes: #681300)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 12 Jul 2012 14:28:30 +0200

latex-make (2.1.18-1) unstable; urgency=low

  * Fix subfig generation (Closes: #676737)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 09 Jun 2012 22:09:08 +0200

latex-make (2.1.17-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS: tex packaging moved style files (Closes: #666603)

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 06 Jun 2012 06:10:44 +0200

latex-make (2.1.16-2) unstable; urgency=low

  * Depends on python instead of Recommends: any subfig (xfig or SVG)
    need it (Closes: #652320)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 16 Dec 2011 08:02:15 +0100

latex-make (2.1.16-1) unstable; urgency=low

  * New upstream release
    + add support for SVG subfig
  * Depend on ghostscript instead of gs-common (Closes: #649696)
  * Bump Standard-Version (no change needed)
  * Use debian source format 3.0 (quilt)
  * Add a recommend on python that is only needed to handle SVG subfig

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 23 Nov 2011 15:47:09 +0100

latex-make (2.1.13-1) unstable; urgency=low

  * New upstream release (Closes: #496345)
  * Fix watch file
  * Bump Standard-Version (no change needed)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 29 Sep 2009 18:49:25 +0200

latex-make (2.1.11-2) unstable; urgency=low

  * update dependencies for texlive (due to tetex->texlive transition)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 14 Apr 2007 11:19:07 +0200

latex-make (2.1.11-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue,  6 Mar 2007 02:31:34 +0100

latex-make (2.1.10-1) unstable; urgency=low

  * New upstream release
    - correct spurious whitespaces when using texdepends.sty (ie when
      compiling with LaTeX.mk)
    - change layout of scripts files (move them to the 'scripts' TeX dir)
    [already backported in the previous debian package]
  * [debian/watch] update to new repository layout 
  * [debian/control] update my email in Maintainer field 
  * [debian/control] get rid of old transitional packages (never released in
    debian)
  * [debian/control] depends on make >= 3.81 (instead of 3.80+3.81-rc1)

 -- Vincent Danjean <vdanjean@debian.org>  Mon,  4 Dec 2006 00:36:55 +0100

latex-make (2.1.9-3) unstable; urgency=low

  * backport fix in the installation from upstream:
    scripts are in $texmf/scripts/latex-make now

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 19:06:47 +0200

latex-make (2.1.9-2) unstable; urgency=low

  * use --ignore-fail-on-non-empty in latex-make.postrm (thank tbm)
  * [debian/compat] debhelper compat version dumped to 5
  * [debian/copyright] add copyright for Debian packaging

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 17 May 2006 00:12:04 +0200

latex-make (2.1.9-1) unstable; urgency=low

  * New upstream release
    - lots of minor bug fixes
    - improved documentation (a small bit)
  * [debian/control] Standards-Version to 3.7.2 (no change needed)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 11 May 2006 00:03:09 +0200

latex-make (2.1.8-2) unstable; urgency=low

  * Backport bugfix from upstream so that \includegraphics{toto.eps} or
    \includegraphics{toto.pdf} works (LaTeX compilation does not stop and
    the file is requested by make before the next compilation)
  * Dump Standards-Version to 3.7.0 (no change needed)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  2 May 2006 15:07:58 +0200

latex-make (2.1.8-1) unstable; urgency=low

  * New upstream release
    - mostly fixes in documentation
  * Correct the long one with the suggestions of Nikolaus Schulz
    <microschulz@web.de>
  * Fix a typo in the short one (Closes: #364572)
  * and in the long one (Closes: #364572)
  * Fix Build-Depends/Build-Depends-Indep as some packages are needed in the
    clean target

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 25 Apr 2006 15:53:29 +0200

latex-make (2.1.5-2) unstable; urgency=low

  * Rewrote description of non official transitional packages

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 11 Apr 2006 11:26:57 +0200

latex-make (2.1.5-1) unstable; urgency=low

  * New upstream release
    - remove non-free examples
  * Fix Homepage: in description (need two spaces at the begining)
  * Fix copyright statements
  * Initial official release. (Closes: #358695: ITP: latex-utils -- utilities
    for LaTeX/xfig - Debian Bug report logs)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue,  4 Apr 2006 02:54:16 +0200

latex-make (2.1.4-2) unstable; urgency=low

  * Add a README.Build.Debian note in the source package to explain why
    figlatex, latex-utils and latex-compile are not build by default

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon,  3 Apr 2006 23:12:00 +0200

latex-make (2.1.4-1) unstable; urgency=low

  * New upstream version
    - yet another rename: latex-compile -> latex-make

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon,  3 Apr 2006 16:26:45 +0200

latex-compile (2.1.3-1) unstable; urgency=low

  * New upstream version
    - upstream also change its name
    - doc in texmf tree
  * Fix build dependencies (missing quilt)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 29 Mar 2006 19:21:01 +0200

latex-compile (2.1.2-3) unstable; urgency=low

  * rename of the package (latex-utils -> latex-compile)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 28 Mar 2006 22:40:01 +0200

latex-utils (2.1.2-2) unstable; urgency=low

  * update description

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 28 Mar 2006 20:54:12 +0200

latex-utils (2.1.2-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri, 24 Mar 2006 00:28:38 +0100

latex-utils (2.1.1-2) unstable; urgency=low

  * update watch file

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat, 11 Mar 2006 10:00:53 +0100

latex-utils (2.1.1-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu,  9 Mar 2006 17:37:03 +0100

latex-utils (2.1-1) unstable; urgency=low

  * New upstream release
    + move LaTeX.mk to LaTeX-mk.dtx (soon a documentation ;-) )
    + add warning about unsupported FIGSRC: in subfig files
    + correction of LaTeX.mk for index/glossary support
  * Add a /usr/share/bug/latex-utils/control file so that reportbug can be used

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu,  9 Mar 2006 09:15:55 +0100

latex-utils (2.0-3) unstable; urgency=low

  * cleanup dependencies

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon,  6 Mar 2006 09:36:36 +0100

latex-utils (2.0-2) unstable; urgency=low

  * versionned depends on make (latex-utils 2.0 needs >= make 3.80+3.81.rc1-1)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Fri,  3 Mar 2006 20:32:09 +0100

latex-utils (2.0-1) unstable; urgency=low

  * rewrote LaTeX.mk
    Lots of variables have changed their name, hence the 2.0 version
    Expect some incompatibilities from previous versions if using special
    variables..
  * Switch to non native package

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed,  1 Mar 2006 18:38:18 +0100

latex-utils (1.17) unstable; urgency=low

  * rewrote of texdepends (with documentation :-) )

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sat,  5 Nov 2005 15:40:56 +0100

latex-utils (1.16) unstable; urgency=low

  * latexfilter shows over/underfull h/vbox

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon,  3 Oct 2005 21:42:16 +0200

latex-utils (1.15) unstable; urgency=low

  * fix build dependencies

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 28 Sep 2005 19:14:40 +0200

latex-utils (1.14) unstable; urgency=low

  * recorrect redirection. The previous fix does not work with dash as /bin/sh
    I hope this time the fix is POSIX complient.
  * Dump debian standard

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 27 Sep 2005 01:34:28 +0200

latex-utils (1.13) unstable; urgency=low

  * correct the '/bin/sh: 3: Bad file descriptor' from bash.
    Thanks to Andreas Beckmann <debian@abeckmann.de> that provides the patch
  * remove unneeded build dependencies

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 26 Sep 2005 23:46:10 +0200

latex-utils (1.12) unstable; urgency=low

  * trace \@input@ macro (so that \include is traced) in texdepends

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 20 Jun 2005 00:15:36 +0200

latex-utils (1.11) unstable; urgency=low

  * compatibility mode does not require \RequirePackage{texdepends} any more 

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Thu, 28 Apr 2005 15:37:26 +0200

latex-utils (1.10) unstable; urgency=low

  * presence of $(eval ) function in make program tested at build time

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 13 Apr 2005 15:14:38 +0200

latex-utils (1.9) unstable; urgency=low

  * fix bug in LaTeX.mk : $(job)_NEED_REBUILD should always be rebuild,
    adding it to the .PHONY target
  * fix bug in LaTeX.mk : *.{pdf,dvi} really needs to depend from *.tex ;-)

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Mon, 11 Apr 2005 11:02:12 +0200

latex-utils (1.8) unstable; urgency=low

  * Fix bug in texgraphicx.sty compatibility file

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Sun, 10 Apr 2005 23:22:53 +0200

latex-utils (1.7) unstable; urgency=low

  * Manage index/glossary
  * Use DocStrip for sources
  * Start of begining of a documentation

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 29 Mar 2005 18:15:14 +0200

latex-utils (1.6) unstable; urgency=low

  * Argh, some modifs of 1.4 were removed in 1.5 !

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 23 Mar 2005 17:00:31 +0100

latex-utils (1.5) unstable; urgency=low

  * Fix rules to find .bbl files (now extract by texdepends)
  * Rebuild rule 'bibtopic' automatically added when using package bibtopic 

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 23 Mar 2005 15:29:20 +0100

latex-utils (1.4) unstable; urgency=low

  * Check that texdepends is loaded before \documentclass
  * Improve COMPATIBILITY mode (for old LaTeX installations)
  * Fix minor bugs in LaTeX.mk
  * add "-include LaTeX.mk.conf" to allow site adaptation
    (COMPATIBILITY for example)
  * add debug option to figlatex
  * figlatex has an optionnal config file figlatex.cfg
    \compatibility and \debug can be set...

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 23 Mar 2005 13:51:46 +0100

latex-utils (1.3) unstable; urgency=low

  * fix bugs in rebuild detect rules

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 23 Mar 2005 01:56:43 +0100

latex-utils (1.2) unstable; urgency=low

  * JOBNAME_* derive from MODULE name (and not from MAIN_* texfile name)
    It is easier to create several documents from the same texfile

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 23 Mar 2005 01:31:10 +0100

latex-utils (1.1) unstable; urgency=low

  * Use '\RequirePackage' before '\documentclass' to load texdepends.sty
    No need of texdepends.initex anymore

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Wed, 23 Mar 2005 00:57:28 +0100

latex-utils (1.0) unstable; urgency=low

  * Initial release.

 -- Vincent Danjean <Vincent.Danjean@ens-lyon.org>  Tue, 22 Mar 2005 16:45:24 +0100
